Wordpress/Movable Type

2016年2月29日 at 4:07 PM

WordPressが自動更新されたら「WordPress が更新されました。ご利用いただく前に、データベースを最新バージョンに更新する必要があります。」と

RSSによる自動投稿サイトについて、Wordpressが最新に自動更新されたら、管理画面にアクセスしようとすると以下のメッセージが表示されるようになりました。

 

データベース

データベースの更新が必要です

WordPress が更新されました。ご利用いただく前に、データベースを最新バージョンに更新する必要があります。

更新処理には少し時間がかかるかもしれません。しばらくお待ちください。

 

 

「Wordpressデータベースの更新」ボタンを押したら処理は開始されたものの、途中で止まってしまいまいました

 

 



◆真っ白な画面が表示されるなら割り当てメモリー不足

PHP メモリ割当の増加 (WP_MEMORY_LIMIT)をすると解消される可能性があります。

 

 

★またMySQLでなく、SQLiteをWordpressデータベースに使用している場合も、Wordpressアップデート時のデータベース更新を要求された段階で本エラーになるようです。

「sqlite-integration」プラグインを無効にしてから、データベースを更新しようとすると、画面が真っ白になります。

PDO (SQLite) For WordPress / SQLite Integration|WordPressをMySQLデータベースなしで導入し動かす方法

 

 

 

◆DB更新処理が途中で停止してしまう

プラグイン、特にキャッシュ関係のプラグインを使用している場合、一度キャッシュを削除してみるといいようです。

キャッシュ以前にプラグインそのものに問題があるかもしれないので、上記DB更新時のみはプラグイン([Wordpress導入ディレクトリ]\wp-content/plugin/以下の各プラグインディレクトリ)をリネームして退避して無効化するのもありかもしれません。

 

同時にサーバー、ブラウザキャッシュもクリアします

 

 

具体的な方法)

wp-content/db.php
wp-content/plugins/db-cache-reloaded-fix/cache (casheフォルダのみ削除)

を削除し、管理画面を立ち上げる

 

 

◆Worpressのバージョンを旧に戻すことで解決する方法

 

私は3.9.2に戻すことで、「データベース更新」を促されずに解消しました(管理画面にアクセスすることが出来るようになりました)。

 

ダウングレードの方法については、以下サイト様などをご覧ください。

WP navi WordPressのバージョンをダウングレードする方法

 

Leave a Reply

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

*

次のHTML タグと属性が使えます: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>



こちらの関連記事もオススメ!